#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  Konsole-21.12.2

- Next

  Okular-21.12.2

- Up
- Home

# libkexiv2-21.12.2

## Introduction to libkexiv2

Libkexiv2 is a KDE wrapper around the Exiv2 library for manipulating image metadata.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/21.12.2/src/libkexiv2-21.12.2.tar.xz

- Download MD5 sum: 0aed1efb839f1b1797dc3e8e3fbd6693

- Download size: 60 KB

- Estimated disk space required: 3.2 MB

- Estimated build time: 0.2 SBU

### libkexiv2 Dependencies

#### Required

KDE Frameworks-5.91.0 and Exiv2-0.27.5

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libkexiv2

## Installation of libkexiv2

Install libkexiv2 by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Library: libKF5KExiv2.so
Installed Directories: $KF5_PREFIX/include/KF5/KExiv2 and $KF5_PREFIX/lib/cmake/KF5KExiv2

Last updated on

- Prev

  Konsole-21.12.2

- Next

  Okular-21.12.2

- Up
- Home